EDIT - feature request #9211

Handle source(s) for Classification
09/02/2020 02:16 PM - Andreas Miller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: Release 5.22

Severity: normal

Description

In #6581 we replaced reference links by sources (e.g. for SingleSourcedEntityBase). Classification is already
IdentifiableEEntity/SourcedEntityBase and therefore has already multiple sources. So we need to discuss how to unify these two
possibilities to add source(s) to a classification.

Probably we have to move the existing source to the set of sources and remove the possibility to define a single source.

Problematic in this solution is that root taxa inherit their sec reference from classification by default. Maybe we could use the only
PrimaryTaxonomicSource automatically if there is not more than 1, otherwise we need user feedback.

Also we need to discuss that we have a similar situation for taxa where we have the sec source and other sources, but this is slightly
different as sec is meant for defining the concept.

For this we need a possibility in TaxEditor to edit the sources for Classifications which is currently not possible.

Note: As the single source is also used in TaxEditor to compute the secundum sources for top-level taxa an explicitly single source
does seem to make sense (for now) and therefore we will implement it.

Related issues:

Related to EDIT - task #9536: Remove old single source citation and microCita... Closed
Related to EDIT - feature request #9540: Handle classification source as sour... New
Copied from EDIT - feature request #6581: Make all microreferenced references... Closed

Associated revisions

Revision da93d83b - 09/03/2020 06:29 AM - Andreas Miiller
ref #9211 add TODO on Classification.source

Revision 8c9245ee - 03/19/2021 02:05 PM - Andreas Miiller

ref #9211 make Classification.reference a single source

Revision e05f7e71 - 03/19/2021 02:05 PM - Andreas Miiller

ref #9211 fixing test related issues for Classification.source

Revision de8b9705 - 03/22/2021 12:56 PM - Andreas Miiller

ref #9327 , ref #9211 adapt some classpaths for webservice and Beanlnitializer for new source handling for secundum and classification.source

History

#1 - 09/02/2020 02:17 PM - Andreas Miuller

- Copied from feature request #6581: Make all microreferenced references OriginalSources added

#2 - 09/02/2020 02:49 PM - Andreas Miuller

- Description updated

#3 - 03/17/2021 12:25 AM - Andreas Miiller

- Description updated
#4 - 03/17/2021 07:28 PM - Andreas Miiller

- Related to task #9536: Remove old single source citation and microCitation columns for secundum and
DescriptionElementBase_OriginalSourceBase and TaxonName_NomenclaturalStatus added

#5 - 03/18/2021 11:51 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

#6 - 03/19/2021 04:07 PM - Andreas Miuller

- Related to feature request #9540: Handle classification source as source in TaxEditor added

#7 - 03/19/2021 04:13 PM - Andreas Miiller

- Description updated

- Status changed from Resolved to Closed

- Target version changed from CDM UML 5.43 to Release 5.22
- % Done changed from 50 to 100

Update script worked correctly. | close this ticket. Followup ticket for TaxEditor exists. For dataportal probably not needed (are sources displayed
somewhere in the portal?).
